import axios from 'axios' // 引入axios
import qs from 'qs'  // 序列化字符串

// 请求超时时间
axios.defaults.timeout = 10000
// 线上
let Base = 'http://kfadmin.bocai186.com'
// 开发
//let Base = 'http://sports.5gogo.com'
function headerUrl (url) {
  url = Base +  url
  console.log(url)
  return url
}
// post请求头
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
export default {
    /**
     * get方法对应get请求
     * @param {String}url 请求地址
     * @param {Object}params 携带参数
     * @returns {Promise}
     */
    get (url, params) {

    return new Promise((resolve, reject) => {
        axios.get(headerUrl(url), {
        params
        })
        .then(res => {
            resolve(res)
        })
        .catch(err => {
            reject(err)
        })
    })
    },
    /**
     * post方法对应post请求
     * @param {String} url 请求地址
     * @param {Object} params 携带参数
     * @returns {Promise}
     */
    post (url, params) {
    return new Promise((resolve, reject) => {
        axios.post(headerUrl(url), qs.stringify(params))
        .then(res => {
            resolve(res)
        })
        .catch(err => {
            reject(err)
        })
    })
    }
}